Subject: [bfcpbis] draft-ietf-bfcpbis-rfc4582bis-15

From: "Paul E. Jones" <[email-masked]>
Date: Tue, 20 Oct 2015 09:45:57 +0000

Folks,

A new revision of draft-ietf-bfcpbis-rfc4582bis (-15) was published just 
a few days ago.  This is a summary of what was changed
Several editorial changes to clarify the text, making "should" a 
"SHOULD", "REQUIRD" to "required", "SHALL" to "MUST", etc. based on 
feedback sent to the list, DISCUSS comments, etc.Corrected a few places 
where the wrong message was referenced (copy/paste errors)Put 
parentheses around the message size calculation in 6.2.3 for 
clarityEnhanced the examples in Appendix A to explicitly show the "R" 
value to add clarityRemoved "This User ID will be used by the floor 
control server to authenticate and authorize the request." in several 
places in the text, since the User ID neither authenticates nor 
authorizes.Clarified text in 5.1 regarding unsupported messagesRemoved 
superfluous text "At this point" in several placesAdded a note about 
predictable conference identifiers to warn against such useAdded 
language to encourage discarding message if fragment lengths are not 
rightAdjusted the T1 and T2 timers to implement RFC 2988 (TCP 
retransmission timer calculation)Removed text suggesting to use ICMP 
messages to control behavior, as those are subject to off-path 
attacksClarified text in B.1.1.6 to present it in a historical 
contextExplain that "Hello" is more than just for liveness checks (for 
unreliable transports, at least)Correct error in 6.2.3 that said 
fragment offset length was in bytes (should be "4-octet units")Explain 
that if timer T1 expires, that means the connection is broken.Changed 
text in 9.1 to make it clear that the protocol is not restricted to 
self-signed certificatesRemoved redundant language in 13.7Defined 
"transaction failure window"Made it clearer that the fragment offset / 
fragment length word is never present when using a reliable 
transportNote, that said: what really guides presence is the "F" bit, 
but the point is these fields should not be there if the transport is 
reliableMade clarifying changes to the IANA section (since most is 
already registered)Changed the ABNF syntax to remove unnecessary 
parentheses

Hopefully, that's everything.  Many small changes, but I think that 
addresses all of the outstanding comments.  I did notice a missing 
period at the end of section 5.1.  If we're only down to that, I believe 
the text is ready to go. :)

Paul

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Tue, 20 Oct 2015 14:21:09 +0000

Thank you, Paul, or the thorough update of the document and summary of changes.

For all of you who have been helping with this draft and/or following along, these changes were primarily motivated by comments from IESG review. Those with comments are of course reviewing, but I ask that others on this list review as well to make sure you are happy with the end result before we request publication. Please complete your review within the next week, by Oct 28. If necessary, we can use the BFCPBIS session slot at IETF 94 to cover any issues that arise.

Cheers,
Charles

From: bfcpbis <[email-masked]<mailto:[email-masked]>> on behalf of Paul Jones <[email-masked]<mailto:[email-masked]>>
Reply-To: Paul Jones <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, October 20, 2015 at 2:45 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [bfcpbis] draft-ietf-bfcpbis-rfc4582bis-15

Folks,

A new revision of draft-ietf-bfcpbis-rfc4582bis (-15) was published just a few days ago.  This is a summary of what was changed

  *   Several editorial changes to clarify the text, making "should" a "SHOULD", "REQUIRD" to "required", "SHALL" to "MUST", etc. based on feedback sent to the list, DISCUSS comments, etc.
  *   Corrected a few places where the wrong message was referenced (copy/paste errors)
  *   Put parentheses around the message size calculation in 6.2.3 for clarity
  *   Enhanced the examples in Appendix A to explicitly show the "R" value to add clarity
  *   Removed "This User ID will be used by the floor control server to authenticate and authorize the request." in several places in the text, since the User ID neither authenticates nor authorizes.
  *   Clarified text in 5.1 regarding unsupported messages
  *   Removed superfluous text "At this point" in several places
  *   Added a note about predictable conference identifiers to warn against such use
  *   Added language to encourage discarding message if fragment lengths are not right
  *   Adjusted the T1 and T2 timers to implement RFC 2988 (TCP retransmission timer calculation)
  *   Removed text suggesting to use ICMP messages to control behavior, as those are subject to off-path attacks
  *   Clarified text in B.1.1.6 to present it in a historical context
  *   Explain that "Hello" is more than just for liveness checks (for unreliable transports, at least)
  *   Correct error in 6.2.3 that said fragment offset length was in bytes (should be "4-octet units")
  *   Explain that if timer T1 expires, that means the connection is broken.
  *   Changed text in 9.1 to make it clear that the protocol is not restricted to self-signed certificates
  *   Removed redundant language in 13.7
  *   Defined "transaction failure window"
  *   Made it clearer that the fragment offset / fragment length word is never present when using a reliable transport
     *   Note, that said: what really guides presence is the "F" bit, but the point is these fields should not be there if the transport is reliable
  *   Made clarifying changes to the IANA section (since most is already registered)
  *   Changed the ABNF syntax to remove unnecessary parentheses

Hopefully, that's everything.  Many small changes, but I think that addresses all of the outstanding comments.  I did notice a missing period at the end of section 5.1.  If we're only down to that, I believe the text is ready to go. :)

Paul